%define oname libkscreen

Summary:	KDE Frameworks 5 display configuration library
Name:		%{oname}-kf5
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5wayland-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)

%description
KDE Frameworks 5 display configuration library. It provides access to current
configuration of connected displays and ways to change the configuration.

%files
%{_kde5_bindir}/kscreen-doctor
%{_kde5_libexecdir}/kf5/kscreen_backend_launcher
%{_kde5_plugindir}/kscreen/*.so
%{_datadir}/dbus-1/services/org.kde.kscreen.service

#----------------------------------------------------------------------------

%define kf5screen_major 7
%define libkf5screen %mklibname kf5screen %{kf5screen_major}

%package -n %{libkf5screen}
Summary:	KDE Frameworks 5 display configuration shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5screen}
KDE Frameworks 5 display configuration shared library.

%files -n %{libkf5screen}
%{_kde5_libdir}/libKF5Screen.so.%{kf5screen_major}
%{_kde5_libdir}/libKF5Screen.so.%{version}

#----------------------------------------------------------------------------

%define devkf5screen %mklibname kf5screen -d

%package -n %{devkf5screen}
Summary:	Development files for KDE Frameworks 5 display configuration library
Group:		Development/KDE and Qt
Requires:	%{libkf5screen} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devkf5screen}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5screen}
%{_kde5_includedir}/KF5/KScreen
%{_kde5_includedir}/KF5/kscreen_version.h
%{_kde5_libdir}/cmake/KF5Screen
%{_kde5_libdir}/pkgconfig/kscreen2.pc
%{_kde5_libdir}/libKF5Screen.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (cbd0112) Update files (add /usr/bin/kscreen-doctor)


